docs

# CommonSupergroupEventMessage

data class CommonSupergroupEventMessage < T : SupergroupEvent >( val messageId: MessageIdentifier , val from: User , val chat: SupergroupChat , val chatEvent: T , val date: DateTime) : SupergroupEventMessage < T >
Content copied to clipboard

## Constructors

CommonSupergroupEventMessage
Link copied to clipboard
fun < T : SupergroupEvent > CommonSupergroupEventMessage ( messageId: MessageIdentifier , from: User , chat: SupergroupChat , chatEvent: T , date: DateTime)
Content copied to clipboard

## Properties

chat
Link copied to clipboard
open override val chat : SupergroupChat
Content copied to clipboard
chatEvent
Link copied to clipboard
open override val chatEvent : T
Content copied to clipboard
date
Link copied to clipboard
open override val date : DateTime
Content copied to clipboard
from
Link copied to clipboard
open override val from : User
Content copied to clipboard

The source User of this type

messageId
Link copied to clipboard
open override val messageId : MessageIdentifier
Content copied to clipboard
user
Link copied to clipboard
open override val user : User
Content copied to clipboard